KDEINIT5(8)

NOMBRE
kdeinit5 - Lanzador para aplicaciones preparadas para usar kdeinit y para los esclavos KIO.

RESUMEN

kdeinit5 [--help] [[--no-fork] | [--no-kded] | [--suicide]] [[+programs] | [programs]]

DESCRIPCIÓN

kdeinit5 es un lanzador de procesos parecido a la orden init que se utiliza para arrancar UNIX. Ejecuta los programas de KDE y los módulos cargables de kdeinit (KLM) iniciándolos de manera más eficiente.

El uso de kdeinit5 para lanzar una aplicación de KDE hace que el tiempo de inicio de una aplicación típica de KDE sea dos veces más rápido y reduce el consumo de memoria de forma importante.

kdeinit5 está enlazado con todas las bibliotecas que necesita una aplicación estándar de KDE. Mediante esta técnica, el inicio de una aplicación es mucho más rápido porque solo se necesita enlazar a la propia aplicación, mientras que en otro caso se necesita, enlazar tanto a la aplicación como a las bibliotecas.

DESVENTAJAS

El nombre del proceso de una aplicación arrancada mediante kdeinit4 es «kdeinit5». Este problema puede corregirse hasta cierto punto cambiando el nombre de la aplicación como se muestra con ps. Sin embargo, aplicaciones como killall solo verán kdeinit5 como nombre de proceso. Para solucionar esto utilice kdekillall (de kdesdk/scripts) para las aplicaciones arrancadas mediante kdeinit5.

OPCIONES

--help
    Muestra ayuda sobre las opciones

--no-fork
    No bifurcar, es decir, no salir hasta que todos los programas ejecutados finalicen

--no-kded
    No iniciar kded

--suicide
    Finalizar cuando no queden aplicaciones de KDE en ejecución

+programs
    ejecuta las peticiones de manipulación de los programas

programas
    ejecuta los programas sin peticiones de manipulación

UTILIZACIÓN

Un modo estándar de ejecutar este programa es especificar lo siguiente en la línea de ordenes kdeinit5 program or kdeinit5 +program

ARCHIVOS

/tmp/kde-$USER/kdeinit5_$INSTANCE
    ...

VARIABLES DE ENTORNO

$HOME
    Especifica el directorio personal del usuario actual

$KDE_HOME_READONLY
    Especifica si el directorio personal del usuario actual es de solo lectura

$KDE_IS_PRELINKED
    Si está activado, indica a kdeinit5 que los programas de KDE están enlazados previamente.

    (El preenlazado es un proceso que le permite aumentar la velocidad del proceso de enlace dinámico).

$KDE_DISPLAY
    Si está activado, indica a kdeinit5 que se está ejecutando en un escritorio KDE.

VEA TAMBIÉN

kded5, kdekillall

FALLOS

Por favor, use KDE's bugtracker[1] para informar de fallos.

AUTORES

Waldo Bastian <bastian@kde.org>
    Autor.

Mario Weilguni <mweilguni@sime.com>
    Autor.

Lubos Lunak <l.lunak@kde.org>
    Autor.

NOTAS

1.  KDE's bugtracker
    http://bugs.kde.org